// --- Comment preview functions --- //
function commentPreview() {
	var CommentText = $("comment").value;
	var AuthorText = $("author").value;
	var AuthorUrl = $("url").value;
	var CommentElement = $("preview-div");
	if(AuthorText == '')
		AuthorText = "Anonymous";
	CommentElement.innerHTML = '';
	
	var h3 = $new("h3");
	if (AuthorUrl) {
		var a = $new("a");
			a.href = AuthorUrl;
			a.appendChild($text(AuthorText));
		h3.appendChild($text('Comment By '));
		h3.appendChild(a);
	}
	else
		h3.appendChild($text('Comment By '+ AuthorText));
	CommentElement.appendChild(h3);
	
	var p = $new("p");
	CommentText = CommentText.split(/\n/).join('<br />');
	p.innerHTML = CommentText;
	CommentElement.appendChild(p);
	
	CommentElement.style['display'] = 'block';
	return;
}


function addCommentPreview() {
	if ($('comment-buttons')) {
		var previewDiv = $new('div', 'preview-div');
		var button = $new('input');
			button.setAttribute('name', 'preview');
			button.setAttribute('type', 'button');
			button.setAttribute('tabindex', '6');
			button.setAttribute('value', 'Preview');
			button.setAttribute('class', 'button');
			button.setAttribute('onclick', 'commentPreview()');
		$('comment-buttons').appendChild(button);
		document.forms['commentform'].appendChild(previewDiv);
	}
	return;
}
addEvent(window, "load", addCommentPreview);


// --- two column function --- //
function twoCol() {
	// TODO: not split up tags
	
	// Check for the two-col element.
	if ($('two-col')) {
		// Grab the two-col element and create
		// the two new column elemets. As well
		// as a "clearer" element.
		var twoCol = $('two-col');
		var rightCol = $new('div');
			rightCol.setAttribute("style", "float:right;width:48%;");
		var leftCol = $new('div');
			leftCol.setAttribute("style", "float:left;width:48%;");
		var clearCol = $new('br');
			clearCol.setAttribute("style", "clear:both;");
		
		// Split the words into two columns
		var leftWords = new String();
		var rightWords = new String();
		var ogHTML = twoCol.innerHTML;
		var words = ogHTML.split(' ');
		for (var i=0; i<words.length; i++) {
			if ( i < (words.length/2) )
				leftWords += words[i] +' ';
			else
				rightWords += words[i] +' ';
		}
		
		leftCol.innerHTML = leftWords +"</p>";
		rightCol.innerHTML = "<p>"+ rightWords;
		
		twoCol.innerHTML = '';
		twoCol.appendChild(leftCol);
		twoCol.appendChild(rightCol);
		twoCol.appendChild(clearCol);
	}
	return;
}
addEvent(window, "load", twoCol);


// --- Easter Egg --- //
var easterEggKeys = new Array('t','e','h','m','o','n','k','e','y');
var easterEggCurrent = 0;

function easterEgg(e) {
	var key = String.fromCharCode(e.keyCode).toLowerCase();
	if (easterEggKeys[easterEggCurrent].toLowerCase() == key) {
		easterEggCurrent++;
		if (easterEggCurrent >= easterEggKeys.length) {
			loadEasterEgg();
			easterEggCurrent = 0;
		}
	}
	else {
		easterEggCurrent = 0;
	}
}
addEvent(window, 'keydown', easterEgg);

function loadEasterEgg() {
	// see other.css for styles
	var div = $new('div', 'easterEgg');
	var a = $new('a');
		a.setAttribute("href", "javascript:closeEasterEgg();");
	var img = $new('img');
		img.setAttribute("src", "/dropbox/smurfs.png");
		img.setAttribute("alt", "Teh Smurfs!");
	a.appendChild(img);
	div.appendChild(a);
	$tags('body')[0].appendChild(div);
}

function closeEasterEgg() {
	if ($('easterEgg'))
		$tags('body')[0].removeChild($('easterEgg'));
}